=== debian/changelog ===
golang-github-c-bata-go-prompt (0.2.3+git20181109.b6d2b43-1) unstable; urgency=medium

  * Initial release (Closes: #914207)

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 11:54:45 -0500
