=== debian/control ===
Source: golang-github-c-bata-go-prompt
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-term-dev
Standards-Version: 4.2.1
Homepage: https://github.com/c-bata/go-prompt
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt.git
XS-Go-Import-Path: github.com/c-bata/go-prompt
Testsuite: autopkgtest-pkg-go

Package: golang-github-c-bata-go-prompt-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-mattn-go-runewidth-dev,
         golang-github-pkg-term-dev
Description: building powerful interactive prompts in Go
 Library for building powerful interactive prompts inspired by
 python-prompt-toolkit.
