## golang-github-c-bata-go-prompt 0.2.5

=== debian/changelog ===
golang-github-c-bata-go-prompt (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5
  * debian/control: Reorder fields using "cme fix dpkg"
  * Bump dependency on golang-github-pkg-term-dev to (>= 1.1.0)
    as per go.mod  (See #974096)
  * Remove debian/patches/01-fix-package-build.patch
    as https://github.com/c-bata/go-prompt/issues/190
    has been fixed upstream in https://github.com/c-bata/go-prompt/pull/191
    "Update pkg/term module to latest and use unix.Termios"
  * Add myself to the list of Uploaders, and, together with Aloïs Micard,
    adopt the package from Alexandre Viau (Closes: #940345)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Fri, 13 Nov 2020 13:51:06 -0700

golang-github-c-bata-go-prompt (0.2.3+git20181109.b6d2b43-2) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Aloïs Micard ]
  * d/patches: fix package with latest golang-github-pkg-term-dev version.
  * d/control:
    - Bump Standards-Version.
    - Bump debhelper-compat.
    - Add Rules-Requires-Root no.
    - Mark myself as uploader.

 -- Aloïs Micard <alois@micard.lu>  Sun, 01 Nov 2020 19:53:43 +0100
